<%@ page import="com.sas.solutions.casemgmt.web.util.WebUtil" %>
<%@ page import="com.sas.solutions.cpb.util.DateUtil" %>
<%@ page import="com.sas.solutions.casemgmt.web.action.ToolBarWriter" %>
<%@ page import="com.sas.fsd.shared.util.StringUtil" %>
<%@include file="/shell/default.jspf"%>

<%@ taglib prefix="sas-cm" uri="http://www.sas.com/casemgmt/tag" %>

<%-- TODO: This is typically pulled in via SearchBox and put(), but we don't use the SearchBox here. --%>
<%-- Should we refactor this CSS? --%>
<link rel="stylesheet" href="ext/dojo/sas-ecm/search/SearchBox.css">

<sas-cm:setBundle var="appResources" />
<script>
require(['sas-cpb/cpb'], function(cpb) {
   cpb.preferencesPrefix = 'search-parties-solr';
});
</script>

<%
   ToolBarWriter tbw = (ToolBarWriter)request.getAttribute("toolBarWriter");
   if (tbw!=null) { tbw.writeToolBar(pageContext); }
   String typeCode = (String)request.getAttribute("typeCode");
%>

<form method="post" onsubmit="return false;">
<div id='mainContent'>

   <input type="hidden" name="command" value="search" />
   <input type="hidden" name="windowLayout" value="${param.windowLayout}" />
   <input type="hidden" name="uiContextId" value="${param.uiContextId}"/>
   <input type="hidden" name="gridName" value="${param.gridName}" />

   <div id='solrPartySearcher'></div>
   <script>
   require(['sas-ecm/search/SolrPartySearcher', 'dojo/domReady!'], function(SolrPartySearcher) {
      var solrPartySearcher = new SolrPartySearcher({
         entityType: 'PARTY',
         resultsFormat: '<c:out value="${requestScope.resultsFormat}"/>',
         selectorType: '<c:out value="${requestScope.selectorType}"/>', <%-- valid values checkbox or radio, (defaults to radio if invalid).  --%>
         columns: <%=request.getAttribute("gridColumns")%>,
         typeCode: <%=StringUtil.makeStringForJSInHtml(typeCode)%>,
         pageSize: <%=WebUtil.getPageSize()%>,
         pageSizeOptions: [ 20, 50, 100 ],
         dateFormatPattern: "<%=DateUtil.getPreferredDateTimeDisplayPattern(request.getLocale())%>",
         selectionCallback: function(selectedKeys) {
            var value = selectedKeys.join(',');
            document.getElementById('selectedResults').value = value;
         }
      }, 'solrPartySearcher');
   });
   </script>

   <input type="hidden" name="selectedResults" id="selectedResults" />

</div>
</form>

<%@include file="/ext/cpbcore/messages/ShowMessages.jsp" %>
