<%@include file="/shell/default.jspf"%>
<%@taglib prefix="sas" uri="http://www.sas.com/taglib/sas" %>
<%@taglib prefix="sas-ui" uri="http://www.sas.com/taglib/sas-ui" %>
<%@taglib uri='http://struts.apache.org/tags-bean' prefix='bean' %>
<%@page import="com.sas.solutions.casemgmt.web.incident.*"%>
<%@ page import="com.sas.fsd.shared.util.StringUtil" %>
<%
IncidentActionModel model = IncidentActionModel.getFromRequest(request);
%>
<script type="text/javascript">
Incident.FORM_NAME = "<%=StringUtil.escapeJSForHTML(model.getFormName())%>";
Incident.KEY = "<%=model.getEntityKey()%>";
</script>


<sas-cm:setBundle var="appResources" />

<html:form method="post" action="/Incident" enctype="multipart/form-data">
<div id="mainContent">
   <input type="hidden" name="key" value="${key}" />
   
   <div class="toppadding leftpadding rightpadding bottompadding">
      <table cellpadding="5" cellspacing="2">
      <tr>
         <td><fmt:message bundle="${appResources}" key="field.incident.incident_id.label.txt"/></td>
         <td><c:out value="${id}"/></td>
      </tr>
      <tr>
         <td><fmt:message bundle="${appResources}" key="field.incident.incident_desc.label.txt"/></td>
         <td><c:out value="${descr}"/></td>
      </tr>
      <tr>
         <td><fmt:message bundle="${appResources}" key="field.incident.current.owner.label.txt"/></td>
         <td><c:out value="${currentUser}"/></td>
      </tr>
      <tr>
         <td><fmt:message bundle="${appResources}" key="field.incident.new.owner.label.txt"/></td>
         <td><sas:ChoiceBox id="userId" name="userId" model="userItems"/></td>
      </tr>
      </table>
   </div>
</div>
<div id="popupButtonBarContainer"><div id="popupButtonBar">
      <% model.writeReassignIncidentButtonBar(out); %>
</div></div>      
</html:form>

<%@include file="/ext/cpbcore/messages/ShowMessages.jsp" %>
