<%-- Copyright (c) 2003-2009 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved. --%>
<%@page import="com.sas.solutions.cpb.web.util.CPBUtil"%>
<%@include file="/shell/default.jspf"%>
<%@ taglib uri="http://www.sas.com/cpb/tag" prefix="cpb"%>
<%@ taglib prefix="sas" uri="http://www.sas.com/taglib/sas" %>
<%@ taglib prefix="c"   uri="http://java.sun.com/jsp/jstl/core" %>
<%@page import="com.sas.solutions.casemgmt.web.party.*"%>
<%@page import="com.sas.solutions.casemgmt.web.util.Referrer"%>
<%@ page import="com.sas.fsd.shared.util.StringUtil" %>
<%
PartyActionModel model = PartyActionModel.getFromRequest(request);
%>
<script type="text/javascript">
Party.FORM_NAME = "<%=StringUtil.escapeJSForHTML(model.getFormName())%>";
Party.OBJECT_TYPE = "<%=model.getObjectTypeId()%>";
Party.KEY = "<%=model.getEntityKey()%>";
Party.ID = "<%=StringUtil.escapeJSForHTML(model.getEntity().getId())%>";
Party.EDITABLE = <%=model.isPageEditable()%>;
Party.UI_CONTEXT_ID = "<%=StringUtil.escapeJSForHTML(model.getForm().getUiContextId())%>";
Party.REFERRER = "<%=Referrer.PARTY%>";
Party.TITLE = "<%=CPBUtil.getPageTitle(request)%>";

<%
if (model.isPageEditable() && (!model.getEntity().isSaved() || model.hasErrorMessages()))
{
%>
SaveChangesConfirmation.setPageDirty(true);
<%
}
%>
Event.observe(window, "ready", Party.handleOnLoad);
</script>

<% model.writeToolBar(pageContext); %>

<div id="mainContent">
   <html:form action="/Party" onsubmit="return Party.handleFormOnSubmit(this)">
      <html:hidden property="key" />
      <html:hidden property="uiContextId" />
      <html:hidden property="viewMode" />
      <html:hidden property="windowLayout" />
      <html:hidden property="command" />
      <html:hidden property="forCaseKey" />
      <html:hidden property="forIncidentKey" />
      <html:hidden property="forPartyKey" />
      <html:hidden property="relationshipTypes" />
      <html:hidden property="relationshipDescriptions" />
      <html:hidden property="isParentInRelationship" />
      <html:hidden property="relDetailsRequired" />
      <html:hidden property="gridName" />
      <html:hidden property="referrer" />
      <% model.writeScreen(pageContext, out); %>
      <% model.writeHiddenSubmitButton(out); %>
   </html:form>
</div>

<%@ include file="/components/util/SaveChangesConfirmationDialog.jsp" %>
<%@include file="/ext/cpbcore/messages/ShowMessages.jsp" %>
