<%-- Copyright (c) 2003-2009 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved. --%>
<%@page import="com.sas.solutions.casemgmt.web.util.Referrer"%>
<%@include file="/shell/default.jspf"%>

<%@ taglib prefix="sas"    uri="http://www.sas.com/taglib/sas" %>
<%@ taglib prefix="fmt"    uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="c"      uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="sas-cm" uri="http://www.sas.com/casemgmt/tag" %>

<%@page import="com.sas.solutions.cpb.web.util.CPBUtil"%>
<%@page import="com.sas.solutions.casemgmt.web.efiling.EFileListActionModel"%>

<fmt:message var="resultsSection" key="section.search.results.header.txt" bundle="${appResources}" />
<fmt:message var="searchSection" key="section.search.efiles.header.txt" bundle="${appResources}" />

<script type="text/javascript">
EFileList.REFERRER = "<%= Referrer.EFILES%>";
EFileList.TITLE = "<%=CPBUtil.getPageTitle(request)%>";
require(['sas-cpb/cpb'], function(cpb) {
   cpb.overrideBannerText('<c:out value="<%=CPBUtil.getApplicationTitle(request)%>"/>', '<c:out value="${searchSection}"/>');
   cpb.preferencesPrefix = 'efile-search-screen';
<% CPBUtil.possiblyClearPreferences(request, out); %>
});
Event.observe(window, "ready", EFileList.handleOnLoad);
dojo.require('dijit.TitlePane');
</script>

<%@include file="/ext/cpbcore/messages/ShowMessages.jsp" %>
<div id="mainContent">
   
   <html:form action="/EFileSearch">
      <input type="hidden" name="command" value="search" />
      <div id="searchPane" class="leftpadding rightpadding">         
         <div id="searchCriteriaPane" data-dojo-type='dijit.TitlePane' title="${searchSection}" closable="true" open="${sessionScope.EFileSearchForm.expandedCriteria}">
            <sas-cm:searchCriteria searchModel="${sessionScope.EFileSearchForm.searchModel}" />
         </div>
      </div>
      
      <div id="resultsPane" class="toppadding leftpadding rightpadding">
          <div id="searchResultsPane" data-dojo-type='dijit.TitlePane' title="${resultsSection}" closable="true" open="true">
            <sas-cm:searchFilters searchModel="${sessionScope.EFileSearchForm.searchModel}" />
               <%@include file="SearchGridTemplate.jsp" %>
         </div>
      </div>
      
   </html:form>
</div>
