<%-- Copyright (c) 2003-2008 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved. --%>
<%@page isErrorPage="true" %>
<%@include file="/shell/default.jspf"%>
<%@ page import="com.sas.framework.webapp.util.WebKey" %>
<%@page import="com.sas.svcs.webapp.util.ErrorHandlingInterface" %>
<%@page import="com.sas.svcs.webapp.util.ErrorReport" %>
<%@page import="com.sas.svcs.webapp.util.WebAppErrorReportFactory" %>
<%@page import="java.util.Map" %>
<%@page import="org.springframework.context.ApplicationContext" %>
<%@page import="org.springframework.web.context.support.WebApplicationContextUtils" %>
<%@ page import="org.apache.log4j.Logger" %>

<div id="mainContent">
<%
try
{
   if (null != exception)
   {
       request.setAttribute(WebKey.SERVLET_ERROR, exception);
       
       ApplicationContext applicationContext =
           WebApplicationContextUtils.getRequiredWebApplicationContext(session.getServletContext());
       Map handlers = applicationContext.getBeansOfType(ErrorHandlingInterface.class);
       if (null != handlers && !handlers.isEmpty())
       {
           ErrorHandlingInterface handler = (ErrorHandlingInterface)handlers.values().iterator().next();
           WebAppErrorReportFactory factory = new WebAppErrorReportFactory();
           ErrorReport report = factory.newReport(request, exception);
           handler.report(report);
       }

       Logger.getLogger(getClass()).error(exception);
   }
}
catch (Throwable t)
{
    // if anything happens on the page then print the stack trace
    Logger.getLogger(getClass()).error(exception);
}
request.getRequestDispatcher("/shared/error.jsp").include(request, response);
%>
</div>
