<%@page import="com.sas.framework.commons.keys.DevelopmentKeys"%>
<%@page import="com.sas.solutions.cpb.services.CPBServiceLocator"%>
<%@page import="java.util.ResourceBundle"%>
<%@page import="com.sas.solutions.cpb.web.runtime.component.url.URLComponentModel"%>
<%@page import="com.sas.solutions.cpb.web.util.ThemedImage"%>
<%@ page import="org.apache.commons.lang.StringEscapeUtils" %>
<%@ page import="com.sas.fsd.shared.util.StringUtil" %>

<% 
URLComponentModel compModel = (URLComponentModel)request.getAttribute("componentModel");
ResourceBundle bundle = CPBServiceLocator.getCPBRuntimeService().getResourceBundle(request.getLocale());
String escapedComponentId = StringEscapeUtils.escapeHtml(compModel.getComponentID());
String escapedWidth = StringEscapeUtils.escapeHtml(compModel.getWidth());
String escapedHeight = StringEscapeUtils.escapeHtml(compModel.getHeight());
%>

<div id="<%=escapedComponentId%>_div"
      style="width: <%=escapedWidth%>; height: <%=escapedHeight%>">
   <% 
   if (compModel.isPrintMode()) 
   { 
      out.print(bundle.getString("cpb.component.iframe.noPrintSupport.txt"));
   } 
   else 
   { 
   %>
	   <% if (compModel.isAllowResize()) { %>
	   <button type="button" class="cpbresizer"
	         onclick="IFrameComponent.iframeResize('<%= StringUtil.escapeJSForHTML(compModel.getComponentID()) %>', true, '<%=StringUtil.escapeJSForHTML(compModel.getHeight()) %>');">
	      <img src="<%= ThemedImage.ZOOM_IN.getURL(request) %>" 
	         alt="<%= bundle.getString("cpb.component.iframe.increase.tooltip.txt") %>" />
	   </button>
	   <button type="button" class="cpbresizer" id="<%=escapedComponentId%>_ShrinkButton"
	         onclick="IFrameComponent.iframeResize('<%= StringUtil.escapeJSForHTML(compModel.getComponentID()) %>', false, '<%= StringUtil.escapeJSForHTML(compModel.getHeight()) %>');"
	         disabled="disabled">
	      <img src="<%= ThemedImage.ZOOM_OUT.getURL(request) %>" 
	         alt="<%= bundle.getString("cpb.component.iframe.decrease.tooltip.txt") %>" />
	   </button>
	   <% } %>
	   <iframe id="<%= compModel.getComponentID() %>_iframe" name="<%=escapedComponentId%>_iframe" class="IFrameComponent"
	      src="<%= compModel.getUrl() %>" width="100%" height="100%" frameborder="0"></iframe>
	<% 
	} 
	%>
</div>
<% 
boolean devMode = Boolean.getBoolean(DevelopmentKeys.DEVELOPMENT_MODE);
if (devMode)
{
%>
   <br /><a href="<%=compModel.getUrl() %>"><%=compModel.getUrl() %></a>
<%
}
%>
