<%-- Copyright (c) 2003-2009 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved. --%>
<%@include file="/shell/default.jspf"%>
<%@ taglib uri="http://www.sas.com/cpb/tag" prefix="cpb"%>
<%@ taglib prefix="sas" uri="http://www.sas.com/taglib/sas" %>
<%@ taglib prefix="c"      uri="http://java.sun.com/jsp/jstl/core" %>
<%@page import="com.sas.solutions.casemgmt.web.incident.*"%>
<%@ page import="com.sas.fsd.shared.util.StringUtil" %>
<%
IncidentActionModel model = IncidentActionModel.getFromRequest(request);
%>
<script type="text/javascript">
Incident.FORM_NAME = "<%=StringUtil.escapeJSForHTML(model.getFormName())%>";
Incident.OBJECT_TYPE = "<%=model.getObjectTypeId()%>";
</script>

<html:form action="/Incident">
<div id="mainContent">
   <html:hidden property="key" />
   <html:hidden property="uiContextId" />
   <html:hidden property="viewMode" />
   <html:hidden property="windowLayout" />
   <% model.writeScreen(pageContext, out); %>
</div>
<div id="popupButtonBarContainer"><div id="popupButtonBar">
   <% model.writeNewIncidentDialogButtons(out); %>
</div></div>

<script type='text/javascript'>
   require(['dijit/registry', 'dojo/on', 'dojo/domReady!'],
      function(registry, on) {
         var okButton = registry.byId('<%=IncidentActionModel.OK_BUTTON_ID%>');
         var typeDropdown = registry.byId('INCIDENT.INCIDENT_TYPE_CD');
         okButton.set('disabled', typeDropdown.value==='');
         on(typeDropdown, 'change', function(newValue) {
            var okButton = registry.byId('<%=IncidentActionModel.OK_BUTTON_ID%>');
            okButton.set('disabled', newValue==='');
         });
   });
</script>

</html:form>

<%@include file="/ext/cpbcore/messages/ShowMessages.jsp" %>
