<%-- Copyright (c) 2003-2009 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved. --%>
<%@page import="com.sas.solutions.casemgmt.i18n.AppProperties"%>
<%@page import="com.sas.solutions.casemgmt.service.ServiceLocator"%>
<%@include file="/shell/default.jspf"%>

<%@ taglib prefix="sas"    uri="http://www.sas.com/taglib/sas" %>
<%@ taglib prefix="fmt"    uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="c"      uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="sas-cm" uri="http://www.sas.com/casemgmt/tag" %>

<%@page import="com.sas.solutions.cpb.web.util.CPBUtil"%>

   <sas-cm:include properties="<%=
      new String[] {
         \"search.title.txt\"
      }
      %>" />

<% final String pattern = ServiceLocator.getPreferenceResolver().getTimeDateFormat().getPattern(request.getLocale()); %>
<style>
   #bodyArea {
      padding: 0px !important;
      background-color: rgb(255, 255, 255);
   }
   
   .dgrid .dgrid-scroller {
       position: absolute !important;
       overflow: auto !important;
   }
</style>

<script type="text/javascript">
require(['sas-cpb/cpb'], function(cpb) {
   cpb.overrideBannerText('<c:out value="<%=CPBUtil.getApplicationTitle(request)%>"/>', AppProperties["search.title.txt"]);
   cpb.preferencesPrefix = 'search-results-screen';
<% CPBUtil.possiblyClearPreferences(request, out); %>
});
dojo.require('dijit.TitlePane');
</script>

<%@include file="/ext/cpbcore/messages/ShowMessages.jsp" %>

<script>
require([
         'search/SearchView/SearchView',
         'search/SearchView/SearchConfig',
         'search/FacetView/FacetHelper',
         'sas-cpb/messages/Messages',
         'sas-ecm/shared/Breadcrumb',
         'dojo/_base/lang',
         'dojo/_base/window',
         'dojo/dom-construct',
         'dojo/io-query',
         'dojo/query',
         'dojo/when',
         'dojo/date/locale',
         'dijit/registry',
         'dojo/on',
         'dojo/ready'
], 
function(SearchView, SearchConfig, FacetHelper, Messages, Breadcrumb, lang, win, dom, ioQuery, query, when, locale, registry, on, ready) {
   ready(function() {
      var body = query('#mainContent')[0];
      var searchBox = registry.byId('searchbox');
      if(!searchBox) {
         Messages.showError('<%=AppProperties.getProperty("search.unavailable.error.txt", true)%>');
         return;
      }
      var q = BrowserUtil.getRequestParameter('q');
      searchBox.setText(decodeURIComponent(q));
      var searchView = new SearchView({
         config: new SearchConfig({
            onSearchTileClicked: function(item, link) {
               var redirect = link.url.replace(/\{([\w.]+)\}/g, function(match, index) {
                  return item[index];
               });
               
               if(link.open_new_window && 'true' === link.open_new_window.toLowerCase()) {
                  window.open(redirect);
               } else {
                  ecmApi.redirect(redirect);
               }
            },
            
            searchUrl: 'api/search/query.json',
   
            typeFormatters: {}
         })
      });

      var parameterMap = BrowserUtil.getRequestParameters().parameterMap;
      var fq = parameterMap.fq,
          pageSize = parameterMap.pageSize,
          start =  parameterMap.start,
          sort = parameterMap.sort || "";

      searchView.startup(sort);

      dom.place(searchView.domNode, body, 'replace');
      searchView.resize();
      if(fq && typeof fq !== "string") {
          var fqstr = "";
          fq.forEach(function(item) {
            fqstr += "&fq=" + decodeURIComponent(item);
          });
          fq = fqstr;
          q += fq;
      } else if(fq) {
          fq = decodeURIComponent(fq);
          q += "&fq=" + fq;
      }

      var d;
      if(q !== undefined)
         d = searchView.search(q, start || 0 /* Start at */, pageSize || 20 /* Initial page size */, sort /* Initial sort order */);

       Event.observe(window, "ready", lang.hitch(searchView, function() {
           if(d) {
               d.then(lang.hitch(this, function() {
                   Breadcrumb.add('NONE');
               }));
           }
       }));
      
      on(window, "resize", function() {
         // searchView.resize(); IE Bug here   
      });  
   });
});
</script>

<div id="mainContent">
</div>
